

var maps= L.map("map").setView([38.891, 139.824], 16);
L.tileLayer('//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
 attribution:
   '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
}).addTo(maps);

maps.on("click", function(e){ //map click Event
    var popup = L.popup()
    .setLatLng(e.latlng) //
    .setContent('<h1>ここの位置情報だよ</h1><p>'+e.latlng+'</p>')
    .openOn(maps);

});


L.marker([38.91360778902878, 139.82976700740096]).addTo(maps);
L.marker([38.918453982982875,139.82766778397487]).addTo(maps);

var egao = L.icon({
    iconUrl:'egao.png',
    iconSize:[50,80],
    iconAnchor:[19,79],
    popupAncher:[19.-80]});

var aaa = L.marker([38.913979, 139.832139]).bindPopup("めんや");
aaa.setIcon(egao).addTo(maps); //aaaの位置情報にはegaoの画像を付ける


var line = L.polyline([
    [38.904782, 139.813675],
    [38.903963, 139.816615],
    [38.898899, 139.818889],
    [38.894646, 139.819587]
]);
// L.polyline(line).addTo(maps);
line.bindPopup("house").addTo(maps);

//coment out

/*
coment out
*/
